PETSc version 3.15.5
Fix/Edit manual page

# ISLocalToGlobalMappingGetNodeInfo

Gets the neighbor information for each node

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingGetNodeInfo(ISLocalToGlobalMapping mapping,PetscInt *nnodes,PetscInt *count[],PetscInt **indices[])

Collective on ISLocalToGlobalMapping

### Input Parameters

| mapping | - the mapping from local to global indexing

### Output Parameter

| nnodes | - number of local nodes (same ISLocalToGlobalMappingGetSize())
| count | - number of neighboring processors per node
| indices | - indices of processes sharing the node (sorted)

Notes: The user needs to call ISLocalToGlobalMappingRestoreInfo when the data is no longer needed.

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingGetInfo(), ISLocalToGlobalMappingRestoreNodeInfo()

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages